Subject: Re: Re: Bridge or

From: "Cheng-Yin Lee" <[email-masked]>
Date: 6 Dec 2002 22:30:34 -0500

Danny,
Emulation of Ethernet (service) is referred by the PWE3 documents.

>From the PWE3 WG charter:
> Individual encapsulation and emulation/maintenance document(s) for each of the following transported protocols, as well as applicability
> statements for each: 
> 
> Ethernet (DIX Ethernet (100M, 1G, 10G), IEEE 802.3, 802.1q (VLAN) 

>From http://www.ietf.org/internet-drafts/draft-ietf-pwe3-arch-01.txt
   This document describes an architecture for Pseudo Wire Emulation
   Edge-to-Edge (PWE3).  It discusses the emulation of services (such as
   Frame Relay, ATM, Ethernet TDM and SONET/SDH) over packet switched
   networks (PSNs) using IP or MPLS.

From
http://www.ietf.org/internet-drafts/draft-ietf-pwe3-framework-01.txt
 It discusses the emulation of services (such
   Frame Relay, ATM, Ethernet T1, E1, T3, E3 and SONET/SDH) over packet
   switched networks (PSNs) using IP or MPLS.
[....]
   PWE3 is a mechanism that emulates the essential attributes of a
   service (such as a T1 leased line or Frame Relay) over a PSN.  The
   required functions of PWs include encapsulating service-specific
   bit-streams or PDUs arriving at an ingress port, and carrying them
   across a path or tunnel, managing their timing and order, and any
   other operations required to emulate the behavior and characteristics
   of the service as faithfully as possible.

From
http://www.ietf.org/internet-drafts/draft-ietf-pwe3-ethernet-encap-01.txt
This document addresses the
   encapsulation of Ethernet/802.3 PDUs within a pseudowire, and issues
   associated with the point-to-point emulation of ethernet within a PW.

Perhaps you could clarify what emulation of Ethernet service means in
the PWE3 charter and the documents above.
Muneyoshi, Juergen and I have stated our views of emulation of Ethernet
(perhaps one too many times already).

thanks
cheng-yin

Danny McPherson wrote:
> 
> Cheng-yin,
> For the benefit of myself and the rest of the WG, before we continue this
> discussion could provide us with a pointer to some (publicly accessible)
> specification or set of specifications that define the terms you're
> employing?  I had thought we were in synch but this is apparently not
> the case.
>
> I think part of the problem here is that some of us tend to employ words and
> phrases much more loosely than others (or are not as attached, depending on
> how one looks at it), and this is introducing some confusion.  If you'll provide
> a pointer I'll work with Stewart, Eric & others to ensure we're aligned
> (where we need to be).
> 
> We'll also provide a bit more description on the forwarder and NSP functions
> we keep referring to.
> 
> And one other note...  This'll be my last cross-posting (i.e., PWE3 & PPVPN),
> I'll move this discussion to the pwe3 list.
> 
> Thanks...
> 
> -danny
> 
> > I am puzzled too. Where will the above so-called NSPs functions be specified?
> >
> > BTW,  if you agree with Juergen, it's option (a),  not (b).  In Option (a), which
> > I believe is the technically correct thing to do in PWE3, we can use IEEE specs
> > in some of the emulation blocks as well, it doesn't mean PWE3 need to specify
> > them.
> 
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3